Subject: Re: bug#32047: 26.1; Misleading/confusing text about `C-k' in TUTORIAL

From: [email-masked] (N. Jackson)
Date: Wed, 11 Jul 2018 16:45:29 -0400

At 22:14 +0300 on Wednesday 2018-07-11, Filipp Gunbin wrote:
>
>>> 414 >> Move the cursor to the beginning of a line which is not empty.
>>> 415    Then type C-k to kill the text on that line.
>>> 416 >> Type C-k a second time.  You'll see that it kills the Newline
>>> 417    which follows that line.
>>> 418
>>> 419 Note that a single C-k kills the contents of the line, and a second
>>> 420 C-k kills the line itself, and makes all the other lines move up.  C-k
>>> 421 treats a numeric argument specially: it kills that many lines AND
>>> 422 their contents.  This is not mere repetition.  C-u 2 C-k kills two
>>> 423 lines and their Newlines; typing C-k twice would not do that.

> I think the doc is clear

This is not the documentation of C-k, it is the Emacs Tutorial.

> and cannot see what's so special about the beginning of line..

Perhaps you did not read the OP [1]. There's nothing special
about the beginning of the line when using C-k to kill the rest
of the line, but when C-k is used to "kill the contents of the
line" -- as it is in the example -- then point must be at the
beginning of the line.

The writer of the Tutorial makes an assumption that point is at
the beginning of the line without telling the reader of that
assumption.

[1] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=32047#5